Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024024
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2013-06-07 13:282013-07-05 11:43
ReporterjecharriView Statuspublic 
Assigned Tomigueldejuana 
PriorityhighResolutionfixedFixed in VersionRMP24
StatusclosedFix in branchFixed in SCM revision423de8e277b9
ProjectionnoneETAnoneTarget VersionRMP24
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionRMP23SCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024024: Receipt properties popup error

DescriptionReceipt properties popup error
Steps To ReproduceConfigure one instance without any "Sales representative"

-Check that you do not have any user related to a BP and this BP is not checked as "employee" and "sales representative"

After that, login in Web POS
-go to "Receipt Properties" and you will see that if you push in "accept" you will see the error:

-Uncaught TypeError: Cannot call method 'get' of undefined

TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0059343)
hgbot (developer)
2013-06-11 13:26

Repository: erp/pmods/org.openbravo.retail.posterminal.multiorder
Changeset: 3641978dde1d90f5dd3353ce4715c58e699a22c1
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Fri Jun 07 17:56:07 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/3641978dde1d90f5dd3353ce4715c58e699a22c1 [^]

fixed issue 24024 and 24025: preferences to block acces to customer window and to allow to edit customers are working fine

---
M src-db/database/sourcedata/AD_PREFERENCE.xml
M src-db/database/sourcedata/AD_REF_LIST.xml
M web/org.openbravo.retail.posterminal/js/components/businesspartner.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/subwindows/customers/customerdetailview.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/subwindows/customers/customersadvancedsearch.js
---
(0059362)
guilleaer (developer)
2013-06-11 15:26

reopened. The issue was closed because a wrong message in commit
(0059402)
hgbot (developer)
2013-06-12 17:39

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 423de8e277b98550654906aed828c80aecda0208
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Wed Jun 12 17:38:34 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/423de8e277b98550654906aed828c80aecda0208 [^]

Fixed issue 0024024: Receipt properties popup error with no sales repr.

---
M web/org.openbravo.retail.posterminal/js/components/modalreceiptproperties.js
---
(0059403)
hgbot (developer)
2013-06-12 17:39

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: b5362ed0bbc1501b855ccd7143bc30e68a3d689c
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Wed Jun 12 17:39:26 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/b5362ed0bbc1501b855ccd7143bc30e68a3d689c [^]

Fixed issue 0024024: Receipt properties popup error with no sales repr.

---
M web/org.openbravo.mobile.core/source/component/dialog/ob-properties.js
---
(0059495)
guilleaer (developer)
2013-06-18 16:02

verified
(0059725)
hgbot (developer)
2013-06-28 10:15

Repository: erp/pmods/org.openbravo.mobile.core.multiorder
Changeset: b5362ed0bbc1501b855ccd7143bc30e68a3d689c
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Wed Jun 12 17:39:26 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core.multiorder/rev/b5362ed0bbc1501b855ccd7143bc30e68a3d689c [^]

Fixed issue 0024024: Receipt properties popup error with no sales repr.

---
M web/org.openbravo.mobile.core/source/component/dialog/ob-properties.js
---
(0059745)
hgbot (developer)
2013-06-28 10:25

Repository: erp/pmods/org.openbravo.retail.posterminal.multiorder
Changeset: 423de8e277b98550654906aed828c80aecda0208
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Wed Jun 12 17:38:34 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/423de8e277b98550654906aed828c80aecda0208 [^]

Fixed issue 0024024: Receipt properties popup error with no sales repr.

---
M web/org.openbravo.retail.posterminal/js/components/modalreceiptproperties.js
---
(0059889)
guilleaer (developer)
2013-07-05 11:43

reclosed

- Issue History
Date Modified Username Field Change
2013-06-07 13:28 jecharri New Issue
2013-06-07 13:28 jecharri Assigned To => migueldejuana
2013-06-10 12:39 hgbot Checkin
2013-06-10 12:39 hgbot Note Added: 0059294
2013-06-10 12:39 hgbot Status new => resolved
2013-06-10 12:39 hgbot Resolution open => fixed
2013-06-10 12:39 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/3641978dde1d90f5dd3353ce4715c58e699a22c1 [^]
2013-06-10 15:31 guilleaer Note Added: 0059301
2013-06-10 15:31 guilleaer Status resolved => new
2013-06-10 15:31 guilleaer Resolution fixed => open
2013-06-10 15:31 guilleaer Note Deleted: 0059294
2013-06-10 15:31 guilleaer Note Deleted: 0059301
2013-06-11 13:26 hgbot Checkin
2013-06-11 13:26 hgbot Note Added: 0059343
2013-06-11 13:26 hgbot Status new => resolved
2013-06-11 13:26 hgbot Resolution open => fixed
2013-06-11 13:26 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/3641978dde1d90f5dd3353ce4715c58e699a22c1 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/3641978dde1d90f5dd3353ce4715c58e699a22c1 [^]
2013-06-11 15:26 guilleaer Note Added: 0059362
2013-06-11 15:26 guilleaer Status resolved => new
2013-06-11 15:26 guilleaer Resolution fixed => open
2013-06-12 17:39 hgbot Checkin
2013-06-12 17:39 hgbot Note Added: 0059402
2013-06-12 17:39 hgbot Status new => resolved
2013-06-12 17:39 hgbot Resolution open => fixed
2013-06-12 17:39 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/3641978dde1d90f5dd3353ce4715c58e699a22c1 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/423de8e277b98550654906aed828c80aecda0208 [^]
2013-06-12 17:39 hgbot Checkin
2013-06-12 17:39 hgbot Note Added: 0059403
2013-06-12 17:39 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/423de8e277b98550654906aed828c80aecda0208 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/b5362ed0bbc1501b855ccd7143bc30e68a3d689c [^]
2013-06-18 16:02 guilleaer Review Assigned To => guilleaer
2013-06-18 16:02 guilleaer Note Added: 0059495
2013-06-18 16:02 guilleaer Status resolved => closed
2013-06-18 16:02 guilleaer Fixed in Version => RMP24
2013-06-28 10:15 hgbot Checkin
2013-06-28 10:15 hgbot Note Added: 0059725
2013-06-28 10:15 hgbot Status closed => resolved
2013-06-28 10:15 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/b5362ed0bbc1501b855ccd7143bc30e68a3d689c [^] => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core.multiorder/rev/b5362ed0bbc1501b855ccd7143bc30e68a3d689c [^]
2013-06-28 10:25 hgbot Checkin
2013-06-28 10:25 hgbot Note Added: 0059745
2013-06-28 10:25 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core.multiorder/rev/b5362ed0bbc1501b855ccd7143bc30e68a3d689c [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/423de8e277b98550654906aed828c80aecda0208 [^]
2013-07-05 11:43 guilleaer Note Added: 0059889
2013-07-05 11:43 guilleaer Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker